Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlValueDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef`

All Implemented Interfaces:
  oracle.jbo.rules.ValidationManager

Direct Known Subclasses:
  JUCtrlAttrsDef, JUCtrlHierTypeBinding, JUCtrlRangeDef

public abstract class JUCtrlValueDef
extends JUControlDef
implements oracle.jbo.rules.ValidationManager

Field Summary
`static java.lang.String` | `DEFAULT_HANDLER`
`static java.lang.String` | `PNAME_ApplyValidation`
`static java.lang.String` | `PNAME_AttrNames`
`static java.lang.String` | `PNAME_InputHandler`
`static java.lang.String` | `PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUCtrlValueDef()`
`JUCtrlValueDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, java.lang.String[] attrNames)`

Method Summary
`void` | `addValidator(oracle.jbo.rules.JboValidatorInterface intf)`
`DCControlBinding` | `createControlBinding(java.lang.Object control, DCBindingContainer formBnd)`
`java.lang.String[]` | `getAttrNames()`
`java.lang.String` | `getCustomInputHandler()`
`java.lang.String` | `getFirstAttrName()`
`JUIteratorBinding` | `getIterBinding(JUFormBinding formBnd)`
`java.lang.Class` | `getMessageBundleClass()` Internal: Applications should not use this method.
`java.lang.String` | `getNullValueId()`
`java.lang.Object` | `getNullValueObject()`
`java.util.ArrayList` | `getValidators()`
`boolean` | `hasCustomInputHandler()`
`void` | `init(java.util.HashMap initValues)`
`boolean` | `isApplyValidation()`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `loadCustomDef(oracle.jbo.mom.xml.DefElement xmlElement)` called after a binding's loadFromXML is done and it needs to load extra metadata like properties, validations etc.
`void` | `loadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `setApplyValidation(boolean applyVal)`
`void` | `setCustomInputHandler(java.lang.String id)`
`protected void` | `setNullValueObject(java.lang.Object nullValue)`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, createControlBindingInstance, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, retrieveFromXML, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### PNAME_AttrNames

    public static final java.lang.String PNAME_AttrNames

  See Also:
    Constant Field Values

### PNAME_ApplyValidation

    public static final java.lang.String PNAME_ApplyValidation

  See Also:
    Constant Field Values

### PNAME_InputHandler

    public static final java.lang.String PNAME_InputHandler

  See Also:
    Constant Field Values

### PNAME_ListNullValueId

    public static final java.lang.String PNAME_ListNullValueId

  See Also:
    Constant Field Values

### DEFAULT_HANDLER

    public static final java.lang.String DEFAULT_HANDLER

  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlValueDef

    public JUCtrlValueDef()

### JUCtrlValueDef

    public JUCtrlValueDef(java.lang.String name,
                          java.lang.String controlClassName,
                          java.lang.String controlBindingClassName,
                          java.lang.String iterBindingName,
                          java.lang.String[] attrNames)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUControlDef`

### isApplyValidation

    public boolean isApplyValidation()

### setApplyValidation

    public void setApplyValidation(boolean applyVal)

### getFirstAttrName

    public java.lang.String getFirstAttrName()

### setNullValueObject

    protected void setNullValueObject(java.lang.Object nullValue)

### getNullValueId

    public java.lang.String getNullValueId()

### getNullValueObject

    public java.lang.Object getNullValueObject()

### getAttrNames

    public java.lang.String[] getAttrNames()

### addValidator

    public void addValidator(oracle.jbo.rules.JboValidatorInterface intf)

  Specified by:
    `addValidator` in interface `oracle.jbo.rules.ValidationManager`

### getValidators

    public java.util.ArrayList getValidators()

  Specified by:
    `getValidators` in interface `oracle.jbo.rules.ValidationManager`

### getCustomInputHandler

    public java.lang.String getCustomInputHandler()

### hasCustomInputHandler

    public boolean hasCustomInputHandler()

### setCustomInputHandler

    public void setCustomInputHandler(java.lang.String id)

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCControlBindingDef`

### loadCustomDef

    protected void loadCustomDef(oracle.jbo.mom.xml.DefElement xmlElement)

  Description copied from class: `DCControlBindingDef`
  called after a binding's loadFromXML is done and it needs to load extra metadata like properties, validations etc. BindingContainerDef is already set by this time on the controldef.
  Overrides:
    `loadCustomDef` in class `DCControlBindingDef`

### loadFromXML

    public void loadFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadFromXML` in class `DCDefBase`

### createControlBinding

    public DCControlBinding createControlBinding(java.lang.Object control,
                                                 DCBindingContainer formBnd)

  Overrides:
    `createControlBinding` in class `DCControlBindingDef`

### getIterBinding

    public JUIteratorBinding getIterBinding(JUFormBinding formBnd)

  Overrides:
    `getIterBinding` in class `JUControlDef`

### getMessageBundleClass

    public final java.lang.Class getMessageBundleClass()

  Internal: Applications should not use this method.

  Returns the class of the reference object.

  Returns:
    the class of the reference object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.